<?php namespace Wibxi\RadioPlayer\Components;

use Cms\Classes\ComponentBase;

class RadioPlayer extends ComponentBase
{

    public function componentDetails() {
        return [
            'name' => 'wibxi.radioplayer::lang.plugin.name',
            'description' => 'wibxi.radioplayer::lang.plugin.description'
        ];
    }

    public function defineProperties()
    {
        return [
          'radioname' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radioname',
              'default'           => 'My Radio Station',
              'type'              => 'string'
          ],
          'radiourl' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radiourl',
              'default'           => '',
              'type'              => 'string'
          ],
          'radioip' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radioip',
              'default'           => '',
              'type'              => 'string',
          ],
          'streammethod' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.streammethod',
              'default'           => '1',
              'type'              => 'dropdown',
              'placeholder'       => 'wibxi.radioplayer::lang.radioplayer.selectmethod',
              'options'           => ['1'=>'Shoutcast']
          ],
          'radiothumbnail' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radioimage',
              'default'           => '',
              'type'              => 'string',
              'showExternalParam' => false
          ],
          'radioposition' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radioposition',
              'default'           => 'relative',
              'type'              => 'dropdown',
              'placeholder' => 'wibxi.radioplayer::lang.radioplayer.selectposition',
              'options'     => ['relative'=>'wibxi.radioplayer::lang.radioplayer.relative','topfixed'=>'wibxi.radioplayer::lang.radioplayer.topfixed', 'bottomfixed'=>'wibxi.radioplayer::lang.radioplayer.bottomfixed']
          ],
          'radiowidth' => [
              'title'             => 'wibxi.radioplayer::lang.radioplayer.radiowidth',
              'default'           => 'true',
              'type'              => 'dropdown',
              'placeholder' => 'wibxi.radioplayer::lang.radioplayer.fullwidth',
              'options'     => ['true'=>'wibxi.radioplayer::lang.radioplayer.true','false'=>'wibxi.radioplayer::lang.radioplayer.false']
          ],
        ];
    }

    public function onRun() {
            $this->page['radioname'] = $this->property('radioname');
            $this->page['radiourl'] = $this->property('radiourl');
            $this->page['radioip'] = $this->property('radioip');
            $this->page['radiothumbnail'] = $this->property('radiothumbnail');
            $this->page['radioposition'] = $this->property('radioposition');
            $this->page['radiowidth'] = $this->property('radiowidth');
            $this->page['streammethod'] = $this->property('streammethod');

            $this->addCss('assets/css/plyr.css');
            $this->addCss('assets/css/main.css');
            $this->addCss('https://fonts.googleapis.com/css?family=Roboto&display=swap');

            $this->addJs('assets/js/plyr.js');
            $this->addJs('https://cdn.rawgit.com/video-dev/hls.js/18bb552/dist/hls.min.js');
            $this->addJs('assets/js/main.js');

    }
}
